- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ModularEmitter File Reference

`#include <osgParticle/Export>`
`#include <osgParticle/Emitter>`
`#include <osgParticle/Particle>`
`#include <osgParticle/RandomRateCounter>`
`#include <osgParticle/Placer>`
`#include <osgParticle/PointPlacer>`
`#include <osgParticle/Shooter>`
`#include <osgParticle/RadialShooter>`
`#include <osgParticle/ParticleSystem>`
`#include <osg/ref_ptr>`
`#include <osg/CopyOp>`
`#include <osg/Object>`
`#include <osg/Node>`
`#include <osg/NodeVisitor>`

Include dependency graph for ModularEmitter:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgParticle
## Classes
class | osgParticle::ModularEmitter
| An emitter class that holds three objects to control the creation of particles. More...
## Defines
#define | OSGPARTICLE_MODULAREMITTER_ 1

## Define Documentation

#define OSGPARTICLE_MODULAREMITTER_ 1